Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18869

Description

It seems that between 2.4 and current master the behavior of line-caps changed for arrows (lines).

You can best see this when creating a thick line (e.g. 3mm) in QGIS 2.4 and then opening the same project in current master. You will see

that the master version renders the lines longer (including a square line cap) while 2.4 applied a butt line cap. This issue is illustrated in

the uploaded screenshot. On the left there is 2.4 on the right there is current master.

Could the behavior between 2.4 and current master be aligned?

Thanks a lot!

Associated revisions

Revision 80555d0f - 2014-06-16 01:36 PM - Nyall Dawson

[composer] Use the old line placement algorithm for arrows created in versions prior to 2.4 (fix #10457)

History

#1 - 2014-06-06 09:03 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you please attach a sample project with a screenshot how it rendered in 2.2 so I can test?

#2 - 2014-06-08 06:57 AM - Andreas Neumann

- File qgislinetest.qgs added

Attached is a test project file. If you compare the width of the arrows with the rectangle you can easily see the difference.

It was created in QGIS Dufour. QGIS Valmiera still opens it keeping the proportion. In QGIS master the lines appear to be longer.

I like the behavior of QGIS master better and it is more intuitive but I wonder if a migration function could help keep the length.

I have a lot of projects with a lot of layouts and would have to go through each project and layout to change the behavior. Would be a lot of work for me

having to adjust every single project.

Thank you again for having a look at this issue.
#3 - 2014-06-08 07:01 AM - Andreas Neumann

- File qgislinetest_screenshots.png added

Here is the screenshot:

Left: rendering in QGIS Dufour (Valmiera behaves the same)

Right: rendering in QGIS master

#4 - 2014-06-16 04:45 AM - Nyall Dawson

- Status changed from Feedback to Closed

Fixed in changeset commit:"80555d0f4b14031cb753e02230c1ac07e36b6f0b".
